| Disk ARchive 2.6.12 Full featured and portable backup and archiving tool

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libdar::not_mask Class Reference
API

negation of another mask More...

`#include <mask.hpp>`

Inherits libdar::mask.

## Public Member Functions
| not_mask (const mask &m)
| the constructor to be used by libdar external programs More...
| not_mask (const not_mask &m)
| copy constructor
| not_mask (not_mask &&m) noexcept
| move constructor
not_mask & | operator= (const not_mask &m)
| assignment operator
not_mask & | operator= (not_mask &&m) noexcept
| move operator
| ~not_mask ()
| destructor
bool | is_covered (const std::string &expression) const override
| inherited from the mask class
bool | is_covered (const path &chemin) const override
| check whether the given path is covered by the mask More...
std::string | dump (const std::string &prefix) const override
| dump in human readable form the nature of the mask More...
mask * | clone () const override
| inherited from the mask class
Public Member Functions inherited from libdar::mask
| mask (const mask &ref)=default
| mask (mask &&ref) noexcept=default
mask & | operator= (const mask &ref)=default
mask & | operator= (mask &&ref) noexcept=default

## Private Member Functions
void | nullifyptr () noexcept
void | copy_from (const not_mask &m)
void | copy_from (const mask &m)
void | move_from (not_mask &&ref) noexcept
void | detruit ()

## Private Attributes
mask * | ref

## Detailed Description

negation of another mask

this is the first mask built over masks it realizes the negation of the given mask

Definition at line 226 of file mask.hpp.

## Constructor & Destructor Documentation

## ◆ not_mask()

libdar::not_mask::not_mask | ( | const mask & | m | ) |
| inline

the constructor to be used by libdar external programs

Parameters

  [in] | m | is the mask to negate

Note
  the mask used as argument need not to survive the just created not_mask object as an internal copy of the mask given in argument has been done.

Definition at line 234 of file mask.hpp.

Referenced by clone().

## Member Function Documentation

## ◆ dump()

std::string libdar::not_mask::dump | ( | const std::string & | prefix | ) | const
| override virtual

dump in human readable form the nature of the mask

Parameters

  [in] | prefix | used for indentation withing the output string

Implements libdar::mask.

## ◆ is_covered()

bool libdar::not_mask::is_covered | ( | const path & | chemin | ) | const
| inline override virtual

check whether the given path is covered by the mask

Parameters

  [in] | chemin | is the path to check

Returns
  true if the given path is covered by the mask

Note
  only libdar internally needs to call this method
  this is an optional method to the previous one, it can be overwritten

Reimplemented from libdar::mask.

Definition at line 253 of file mask.hpp.

References libdar::mask::is_covered().

The documentation for this class was generated from the following file:

- mask.hpp